Bug 170176 - ghc build failure
ghc build failure
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ghc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-08 04:55 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 02:38:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-10-08 04:55:25 EDT
While smoke testing a new soon to be pushed openal package, I noticed that ghc  
in devel doesn't compile, see log snippet below.  Also, was this the package  
that had some bootstrap problems?  Now it buildrequires itself...  
 
This is ghc-6.4.1-1 from devel branch rebuilding on FC4: 
 
../../../glafp-utils/mkdependC/mkdependC -f .depend    -I. -Iinclude  
-I../../includes  -- -O -I. -Iinclude    -- cbits/directory.c  
cbits/rawSystem.c  
ghc-6.4 -M -optdep-f -optdep.depend  -osuf o    -H16m -O -I. -Iinclude  
-Rghc-timing -I../../../libraries -fglasgow-exts -no-recomp  
Compat/Directory.hs Compat/RawSystem.hs Distribution/Compat/ReadP.hs  
Distribution/Extension.hs Distribution/GetOpt.hs  
Distribution/InstalledPackageInfo.hs Distribution/License.hs  
Distribution/Package.hs Distribution/ParseUtils.hs Distribution/Setup.hs  
Distribution/Version.hs System/Directory/Internals.hs  
make[4]: ghc-6.4: Command not found  
make[4]: *** [depend] Error 127  
make[3]: *** [boot] Error 1  
make[2]: *** [boot] Error 1  
make[2]: Leaving directory  
`/home/scop/cvs/fedora/extras/ghc/devel/ghc-6.4.1/ghc'
Comment 1 Jens Petersen 2005-10-10 23:07:42 EDT
Thanks, I removed the explicit ghc version for the build in 6.4.1-2.fc5.

Note You need to log in before you can comment on or make changes to this bug.